Bug 1383116 - [RFE][gluster-block]:Need tcmu-runner packaged in RHGS
Summary: [RFE][gluster-block]:Need tcmu-runner packaged in RHGS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.3.0
Assignee: Sreenath G
QA Contact: surabhi
URL:
Whiteboard:
: 1425459 (view as bug list)
Depends On:
Blocks: 1417138
TreeView+ depends on / blocked
 
Reported: 2016-10-10 01:05 UTC by Pranith Kumar K
Modified: 2017-09-21 04:17 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-21 04:17:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1406867 0 unspecified CLOSED Need tcmu-runner packaged in RHCS 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHEA-2017:2773 0 normal SHIPPED_LIVE new packages: gluster-block 2017-09-21 08:16:22 UTC

Internal Links: 1406867

Description Pranith Kumar K 2016-10-10 01:05:06 UTC
Description of problem:
We need tcmu-runner to be packaged for RHGS 3.2.0.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Sreenath G 2016-10-12 08:43:20 UTC
Dist-git repo [1] for "tcmu-runner" has been created with branch "rhgs-3.2.0-rhel-7" and the package added to white-list for "rhgs-3.2-rhel-7" brew tag


[1] http://pkgs.devel.redhat.com/cgit/rpms/tcmu-runner/log/?h=rhgs-3.2.0-rhel-7

Comment 3 Ken Dreyer (Red Hat) 2016-12-07 18:57:04 UTC
It sounds like Ceph RBD will need this package as well for iSCSI. Will you package this in the CentOS Storage SIG for CentOS 7?

Comment 4 Atin Mukherjee 2017-02-22 04:21:32 UTC
*** Bug 1425459 has been marked as a duplicate of this bug. ***

Comment 7 Prasanna Kumar Kalever 2017-03-18 07:59:13 UTC
tcmu-runner need to be packages as part of RHGS 3.3.0

https://bugzilla.redhat.com/show_bug.cgi?id=1425459

Comment 8 Sreenath G 2017-03-18 11:47:28 UTC
(In reply to Prasanna Kumar Kalever from comment #7)
> tcmu-runner need to be packages as part of RHGS 3.3.0
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1425459

rhgs-3.3.0-rhel-7 branch created for tcmu-runner dist-git repo.

http://pkgs.devel.redhat.com/cgit/rpms/tcmu-runner/log/?h=rhgs-3.3.0-rhel-7

Comment 11 surabhi 2017-04-24 08:58:13 UTC
After adding rhgs3.3.0 puddles and installing gluster-block pulls in tcmu-runner as dependency and installs it from rhgs puddles.

 Installing:
 gluster-block      x86_64 0.1.1-1              Server-RH-Gluster-3.3-Server  49 k
Installing for dependencies:
 libtcmu            x86_64 1.2.0-1.el7rhgs      Server-RH-Gluster-3.3-Server  35 k
 pyparsing          noarch 1.5.6-9.el7          rhel-7-server-rpms            94 k
 python-configshell noarch 1:1.1.fb18-1.el7     rhel-7-server-rpms            67 k
 python-kmod        x86_64 0.9-4.el7            rhel-7-server-rpms            57 k
 python-rtslib      noarch 2.1.fb63-1.el7rhgs   Server-RH-Gluster-3.3-Server  90 k
 python-urwid       x86_64 1.1.1-3.el7          rhel-7-server-rpms           654 k
 targetcli          noarch 2.1.fb46-1.el7rhgs   Server-RH-Gluster-3.3-Server  58 k
 tcmu-runner        x86_64 1.2.0-1.el7rhgs      Server-RH-Gluster-3.3-Server  38 k


Marking the BZ verified.

Comment 15 errata-xmlrpc 2017-09-21 04:17:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2773


Note You need to log in before you can comment on or make changes to this bug.